FTP for ISPC Open Portal is not reachable from outside 

Nov 18, 2021 01:46 PM - Leonardo Candela

Status: Closed Start date: Nov 18, 2021

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: OpenPortal Instances   

VREName: openportal.ispc.cnr.it   

Description

It seems the FTP site we set up for openportal.ispc is not reachable from "external" clients 

Status:         Resolving address of openportal.ispc.cnr.it

Status:         Connecting to 146.48.87.209:21...

Status:         Connection established, waiting for welcome message...

Error:          Connection timed out after 20 seconds of inactivity

Error:          Could not connect to server

Related issues:

Related to ISTI Open Access - Support #22009: openportal.ispc.cnr.it: create ... Closed Sep 15, 2021

Related to ISTI Open Access - Feature #21891: Migrate OpenPortal machines to ... Closed Jul 30, 2021

History

#1 - Nov 18, 2021 01:50 PM - Andrea Dell'Amico

GARR, or a private provider?

#2 - Nov 18, 2021 01:51 PM - Leonardo Candela

I'm testing it from a private provider

#3 - Nov 18, 2021 01:51 PM - Tommaso Piccioli

same problem from a garr node.

#4 - Nov 18, 2021 02:00 PM - Andrea Dell'Amico

- Status changed from New to Feedback

- % Done changed from 0 to 50

I opened a request to the IIT networking group.

#5 - Nov 18, 2021 02:01 PM - Andrea Dell'Amico

- Related to Support #22009: openportal.ispc.cnr.it: create the Joomla instance added

#6 - Nov 18, 2021 02:01 PM - Andrea Dell'Amico

- Related to Feature #21891: Migrate OpenPortal machines to ubuntu 18.04 added

#7 - Nov 18, 2021 03:34 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it @leonardo.candela@isti.cnr.it did you use ftp over TLS? The IIT people say that ftp over TLS is already enabled, while

plain FTP is blocked,

#8 - Nov 18, 2021 03:55 PM - Tommaso Piccioli

You are right, it is working using ftp explicit over TLS.

#9 - Nov 19, 2021 08:52 AM - Leonardo Candela

- File Screenshot 2021-11-19 at 08.40.59.png added
I didn't manage to connect neither by using ftpes:// nor ftps:// (I'm using Filezilla)

In particular when using ftps:// I see 

Status:         Resolving address of openportal.ispc.cnr.it

Status:         Connecting to 146.48.87.209:21...

Status:         Connection established, initializing TLS...

Error:          GnuTLS error -15: An unexpected TLS packet was received.

Status:         Connection attempt failed with "ECONNABORTED - Connection aborted". 

ISPC colleague is reporting the same "issue" ... in attachment the config he is using. 

#10 - Nov 19, 2021 09:51 AM - Andrea Dell'Amico

I just replicated the behaviour, trying from home. I'll ask the IIT people again.

#11 - Nov 19, 2021 01:05 PM - Tommaso Piccioli

Now it works (I think the IIT network group did somenting...), I have successfully connected from two different networks

#12 - Nov 19, 2021 01:56 PM - Andrea Dell'Amico

@leonardo.candela@isti.cnr.it can you get feedback from the ISPC collegue?

#13 - Nov 19, 2021 05:08 PM - Leonardo Candela

- Status changed from Feedback to Closed

- % Done changed from 50 to 100

ISPC colleague managed to connect, issue solved. 

#14 - Nov 25, 2021 11:34 AM - Michele Artini

- Status changed from Closed to In Progress

I reopen the ticket because ISPC colleagues have been reported frequent disconnections using FileZilla

I have obtained the same problem using my PC connected to the ISTI network, after few minutes of usage:

Stato:      Avvio download di /documents/2019/413302/info.txt

Stato:      Trasferimento file completato; trasferiti 276 byte in 1 secondo

Stato:      Disconnesso dal server

Errore:     Errore GnuTLS -15 in gnutls_record_recv: An unexpected TLS packet was received.

Errore:     Impossibile leggere dal socket: ECONNABORTED - Connessione interrotta

Errore:     Disconnesso dal server

#15 - Nov 25, 2021 01:18 PM - Andrea Dell'Amico

I do not understand. If there were no file transfer in action, the disconnection is the expected behaviour.

#16 - Nov 25, 2021 02:45 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

It looks like an error caused by the filezilla client settings, it can use multiple simultaneous connections and there is an automatic timeout client-side,

probably not acknowledge by the server, then the error, maybe due to some directory listing refresh. Next new connection from filezilla, trigged by a

click on a directory or a upload/download request, will be succesfull if the password was saved.

It is possible to change timeout, number and frequency of retries and add a timestamp to the log.

#17 - Nov 25, 2021 06:39 PM - Tommaso Piccioli

@michele.artini@isti.cnr.it 5 minutes is the default timeout server-side for the idle connections, can we close this?

#18 - Nov 25, 2021 07:41 PM - Leonardo Candela

- Status changed from Feedback to Closed

Mando una email per capire quale sia il problema ... è evidente che questo della disconnessione non lo sia ma lui ha parlato di problemi durante il

download o l'upload.
